<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Comment;
use App\Models\Product;
use Illuminate\Http\Request;

class ProductsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $rows = Product::orderByDesc('id')->get();
        return view('admin.products.index', compact('rows'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
    }
    public function delete_all_products(){
        $products = Product::all();
        foreach($products as $product){
            $product->delete();
        }
        dd('done');
    }
    public function delete_single_product($id){
        $product = Product::find($id);
        if(isset($product)){
            $product->delete();
            dd('done');
        }else{
            dd('enter a valid id');
        }
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $row = Product::find($id);
        return view('admin.products.show', compact('row'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $row = Product::find($id);
        return view('admin.products.edit', compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'status' => 'required|in:active,not_active',
        ]);
        $bank = Product::find($id);
        $bank['status'] = $request['status'];
        $bank->update();
        return redirect()->route('products.index')->with('message', 'تم تعديل المنتج بنجاح');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $row = Product::find($id);
        $row->deleteImage();
        Product::destroy($id);
        return redirect()->back()->with('message', 'تم الحذف بنجاح');
    }

    public function destroy_comment($id)
    {
        Comment::destroy($id);
        return redirect()->back()->with('message', 'تم الحذف بنجاح');
    }
}
