<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use Illuminate\Http\Request;

class SettingsController extends Controller
{
    public function settings()
    {
        $row = Setting::first();
        return view('admin.settings.settings', compact('row'));
    }

    public function settings_update($id, Request $request)
    {

        $this->validate($request, [
            'site_name_ar' => 'required',
            'site_name_en' => 'required',
            'site_logo' => 'image',
            'ios_link' => 'required',
            'android_link' => 'required',
            'tax_number' => 'required',
            'commercial_record' => 'required',
            'commission' => 'required',
            'year_subscription' => 'required',
            'address_ar' => 'required',
            'address_en' => 'required',
            'altaeahud_ar' => 'required',
            'altaeahud_en' => 'required',
        ]);

        $setting = Setting::find($id);
        $setting['site_name->ar'] = $request->site_name_ar;
        $setting['site_name->en'] = $request->site_name_en;
        if ($request->site_logo) {
            $setting->setSiteLogoAttribute();
        }
        $setting['commission'] = $request->commission;
        $setting['year_subscription'] = $request->year_subscription;
        $setting['ios_link'] = $request->ios_link;
        if ($request->category_id == 'null') {
            $setting['category_id'] = null;
        } else {
            $setting['category_id'] = $request->category_id;
        }
        $setting['android_link'] = $request->android_link;
        $setting['commercial_record'] = $request->commercial_record;
        $setting['tax_number'] = $request->tax_number;
        $setting['address->ar'] = $request->address_ar;
        $setting['address->en'] = $request->address_en;
        $setting['altaeahud->ar'] = $request->altaeahud_ar;
        $setting['altaeahud->en'] = $request->altaeahud_en;
        $setting['commission_system->ar'] = $request->commission_system_ar;
        $setting['commission_system->en'] = $request->commission_system_en;
        $setting['discount_system->ar'] = $request->discount_system_ar;
        $setting['discount_system->en'] = $request->discount_system_en;
        $setting->update();

        return redirect()->back()->with('message', 'تم التحديث بنجاح');
    }
}
