<?php

namespace App\Http\Resources;

use App\User;
use Illuminate\Http\Resources\Json\JsonResource;

class BlackListUsersResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $user = User::find($this->user_id);
        return [
            'name' => $user->name ? $user->name : '',
            'email' => $user->email ? $user->email : '',
            'image' => $user->image ? asset('images/users/' . $user->image) : '',
            'mobile' => $user->mobile ? $user->mobile : '',
            'online' => $user->online,
            'status' => $user->status,
            'code' => $user->code ? $user->code : 0,
            'lat' => $user->lat ? $user->lat : '',
            'lng' => $user->lng ? $user->lng : '',
            'vip' => $user->vip ? $user->vip : '',
            'total_rates' => $user->total_rates,
            'city_id' => $user->city_id ? (integer)$user->city_id : 0,
            'country_code_id' => $user->country_code_id ? (integer)$user->country_code_id : 0,
            'token' => ''
        ];
    }
}
